[arch-commits] CVS update of extra/devel/clisp (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Jun 1 05:22:19 EDT 2007


    Date: Friday, June 1, 2007 @ 05:22:19
  Author: jgc
    Path: /home/cvs-extra/extra/devel/clisp

   Added: PKGBUILD (1.1)

upgpkg: clisp 2.41-2
Move to extra, add libsigsegv dependency


----------+
 PKGBUILD |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)


Index: extra/devel/clisp/PKGBUILD
diff -u /dev/null extra/devel/clisp/PKGBUILD:1.1
--- /dev/null	Fri Jun  1 05:22:19 2007
+++ extra/devel/clisp/PKGBUILD	Fri Jun  1 05:22:19 2007
@@ -0,0 +1,24 @@
+# $Id: PKGBUILD,v 1.1 2007/06/01 09:22:19 jgc Exp $
+# Maintainer: dorphell <dorphell at archlinux.org>
+pkgname=clisp
+pkgver=2.41
+pkgrel=2
+pkgdesc="ANSI Common Lisp interpreter, compiler and debugger"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://clisp.cons.org/"
+depends=('readline' 'libsigsegv')
+source=(http://dl.sourceforge.net/sourceforge/clisp/clisp-${pkgver}.tar.bz2)
+md5sums=('3a7a00e82ebeeb72a75a032f84c36c6c')
+
+build() {
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  unset CFLAGS CXXFLAGS
+  ./configure --prefix=/usr --prefix=/usr --with-readline --with-gettext --with-dynamic-ffi src
+  cd src
+  ./makemake --prefix=/usr --prefix=/usr --with-readline --with-gettext --with-dynamic-ffi > Makefile
+  make -j1 #config.lisp
+  sed -i 's,http://www.lisp.org/HyperSpec/,http://www.lispworks.com/reference/HyperSpec/,g' config.lisp
+  make -j1 || return 1
+  make DESTDIR=${startdir}/pkg install
+}




More information about the arch-commits mailing list